Bug 496102 - Backport patches for snapshot store damage
Backport patches for snapshot store damage
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
medium Severity high
: rc
: ---
Assigned To: Mikulas Patocka
Red Hat Kernel QE team
:
: 481027 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 12:35 EDT by Mikulas Patocka
Modified: 2010-06-23 11:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a backported patch from upstream (5.22 KB, patch)
2009-04-23 01:13 EDT, Mikulas Patocka
no flags Details | Diff

  None (edit)
Description Mikulas Patocka 2009-04-16 12:35:06 EDT
We need to backport changes 7c9e6c17325fab380fbe9c9787680ff7d4a51abd (dm exception store: refactor zero_area) and 7acedc5b98a2fcff64f00c21110aae7d3ac2f7df (dm exception store: fix misordered writes) from Linux 2.6.28.

There is a small time window when snapshot data on disk are inconsistent because of misordered updates. If the computer crashed at this point, the user would see damaged snapshot store after a reboot.
Comment 1 RHEL Product and Program Management 2009-04-16 12:48:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Mikulas Patocka 2009-04-23 01:13:04 EDT
Created attachment 340860 [details]
a backported patch from upstream
Comment 3 Don Zickus 2009-05-06 13:17:58 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 5 ESAA Admin 2009-06-25 17:16:19 EDT
What is status of QE team verifying this fix? Last update was over a month ago.
Comment 8 errata-xmlrpc 2009-09-02 04:51:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 9 Milan Broz 2010-06-23 11:23:37 EDT
*** Bug 481027 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.